TimeBoundsProvider (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.time
Interface TimeBoundsProvider

All Known Implementing Classes:
  EventLayer, TestEventHandler

    public interface TimeBoundsProvider

A component that can provide information about a time range it cares about. Looks for TimeBoundsHandlers and adds them to itself. The TimeBoundsHandler will also look for TimeBoundsProviders and add them to itself, two-way connection, because they both have to initial communication at different times.

Method Summary
`void` | `addTimeBoundsHandler(TimeBoundsHandler tbh)` The TimeBoundsProvider keep track of the handlers it needs to notify when the bounds or activeness changes.
`TimeBounds` | `getTimeBounds()` A method called on the TimeBoundsProvider to retrieve the provider's time bounds.
`void` | `handleTimeBounds(TimeBounds tb)` A method called on the TimeBoundsProvider to inform it of the overall time bounds, in case some external time bounds values are being set by another component and this provider wants to react to those bounds in some way.
`boolean` | `isActive()` A query that can be made to the TimeBoundsProvider asking it if it is active, and if it's time bounds should be considered.
`void` | `removeTimeBoundsHandler(TimeBoundsHandler tbh)` The TimeBoundsProvider keep track of the handlers it needs to notify when the bounds or activeness changes.
`void` | `setActive(boolean active)` An accessor that switches the TimeBoundsProvider on/off.

Method Detail

### getTimeBounds

    TimeBounds getTimeBounds()

  A method called on the TimeBoundsProvider to retrieve the provider's time bounds.

### handleTimeBounds

    void handleTimeBounds(TimeBounds tb)

  A method called on the TimeBoundsProvider to inform it of the overall time bounds, in case some external time bounds values are being set by another component and this provider wants to react to those bounds in some way.

### isActive

    boolean isActive()

  A query that can be made to the TimeBoundsProvider asking it if it is active, and if it's time bounds should be considered.

### setActive

    void setActive(boolean active)

  An accessor that switches the TimeBoundsProvider on/off.

### addTimeBoundsHandler

    void addTimeBoundsHandler(TimeBoundsHandler tbh)

  The TimeBoundsProvider keep track of the handlers it needs to notify when the bounds or activeness changes. Called when a new handler needs to know.

### removeTimeBoundsHandler

    void removeTimeBoundsHandler(TimeBoundsHandler tbh)

  The TimeBoundsProvider keep track of the handlers it needs to notify when the bounds or activeness changes. Called when a handler doesn't need to know.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details